Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/archive-lesson-plan.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/archive-lesson-plan.php	(revision 10437)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/archive-lesson-plan.php	(revision 10438)
@@ -31,6 +31,6 @@
 			<?php the_posts_pagination(); ?>
 		<?php else : ?>
-			<p>
-				<?php echo esc_html( get_post_type_object( get_post_type() )->labels->not_found ); ?>
+			<p class="not-found">
+				<?php echo esc_html( get_post_type_object( 'lesson-plan' )->labels->not_found ); ?>
 			</p>
 		<?php endif; ?>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/archive-wporg_workshop.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/archive-wporg_workshop.php	(revision 10437)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/archive-wporg_workshop.php	(revision 10438)
@@ -32,6 +32,6 @@
 			<?php the_posts_pagination(); ?>
 		<?php else : ?>
-			<p>
-				<?php echo esc_html( get_post_type_object( get_post_type() )->labels->not_found ); ?>
+			<p class="not-found">
+				<?php echo esc_html( get_post_type_object( 'wporg_workshop' )->labels->not_found ); ?>
 			</p>
 		<?php endif; ?>
Index: /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/template-parts/component-archive-search.php
===================================================================
--- /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/template-parts/component-archive-search.php	(revision 10437)
+++ /sites/trunk/wordpress.org/public_html/wp-content/themes/pub/wporg-learn-2020/template-parts/component-archive-search.php	(revision 10438)
@@ -1,5 +1,14 @@
 <?php
 $search_query = filter_input( INPUT_GET, 'search' );
-$search_label = get_post_type_object( get_post_type() )->labels->search_items;
+
+$pt = '';
+if ( is_post_type_archive() ) {
+	$pt = get_query_var( 'post_type' );
+} else if ( is_tax() ) {
+	$current_tax = get_taxonomy( get_query_var( 'taxonomy' ) );
+	$obj_types = $current_tax->object_type ?? array();
+	$pt = array_shift( $obj_types );
+}
+$search_label = get_post_type_object( $pt )->labels->search_items ?? '';
 ?>
 <div class="search-form--is-inline search-form--is-muted search-form--has-border search-form--has-medium-text">
